Addon compatibility shows both "still works" and "no longer works"

RESOLVED DUPLICATE of bug 531493

Status

()

Firefox
Preferences
--
minor
RESOLVED DUPLICATE of bug 531493
9 years ago
9 years ago

People

(Reporter: mozilla, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(3 attachments)

(Reporter)

Description

9 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2b4) Gecko/20091124 Firefox/3.6b4
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2b4) Gecko/20091124 Firefox/3.6b4

After updating to Firefox 3.6 beta 4, I noticed the new "Compatibility" button in the Addons list.  It seems to be the wrong results for every addon.  If an addon is compatible with 3.6, it says "This addon no longer works."  If an addon is not compatible with 3.6, it confusingly has two entries saying "This addon still works" AND "This addon no longer works."

Reproducible: Always

Steps to Reproduce:
1. Upgrade from Firefox 3.5 to 3.6 beta 4.  Firefox will automatically use the existing profile from 3.5.
2. Open the Addons list.
3. Click the Compatibility button on any addon.
Actual Results:  
If an addon is compatible with 3.6, the Compatibility button says "This addon no longer works."  If an addon is not compatible with 3.6, it has two entries saying "This addon still works" AND "This addon no longer works."

Expected Results:  
Compatible addons should say "This addon still works."  Incompatible addons should say "This addon no longer works."

I'm using the default theme.  My enable extensions are Adblock Plus, Add-on Compatibility Reporter, Download Statusbar, and Noscript.

See attachment for my full troubleshooting information.
(Reporter)

Comment 1

9 years ago
Created attachment 416411 [details]
The addon window shows an addon being compatible and not compatible
(Reporter)

Comment 2

9 years ago
Created attachment 416412 [details]
The addon window showing a compatible addon as not compatible
(Reporter)

Comment 3

9 years ago
Created attachment 416413 [details]
My full troubleshooting information window text
(Reporter)

Comment 4

9 years ago
I apologize, I misunderstood.  This is part of the Add-on Compatibility Reporter extension.  The idea is to select the option that applies, which lets people know if the extension is compatible or not.

Closing this bug as invalid.
(Reporter)

Updated

9 years ago
Status: UNCONFIRMED → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → INVALID

Comment 5

9 years ago
This will be made more clear in a future version of the extension.
Resolution: INVALID → DUPLICATE
Duplicate of bug: 531493
You need to log in before you can comment on or make changes to this bug.